// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.25.0-devel
// 	protoc        v3.13.0
// source: propuestaCent.proto

package propuestaCent

import (
	context "context"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type Message struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	DistroData1    string `protobuf:"bytes,1,opt,name=DistroData1,proto3" json:"DistroData1,omitempty"`
	DistroData2    string `protobuf:"bytes,2,opt,name=DistroData2,proto3" json:"DistroData2,omitempty"`
	DistroData3    string `protobuf:"bytes,3,opt,name=DistroData3,proto3" json:"DistroData3,omitempty"`
	NombreLibro    string `protobuf:"bytes,4,opt,name=NombreLibro,proto3" json:"NombreLibro,omitempty"`
	CantidadChunks uint64 `protobuf:"varint,5,opt,name=CantidadChunks,proto3" json:"CantidadChunks,omitempty"`
	Aprobado       string `protobuf:"bytes,6,opt,name=Aprobado,proto3" json:"Aprobado,omitempty"`
}

func (x *Message) Reset() {
	*x = Message{}
	if protoimpl.UnsafeEnabled {
		mi := &file_propuestaCent_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Message) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Message) ProtoMessage() {}

func (x *Message) ProtoReflect() protoreflect.Message {
	mi := &file_propuestaCent_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Message.ProtoReflect.Descriptor instead.
func (*Message) Descriptor() ([]byte, []int) {
	return file_propuestaCent_proto_rawDescGZIP(), []int{0}
}

func (x *Message) GetDistroData1() string {
	if x != nil {
		return x.DistroData1
	}
	return ""
}

func (x *Message) GetDistroData2() string {
	if x != nil {
		return x.DistroData2
	}
	return ""
}

func (x *Message) GetDistroData3() string {
	if x != nil {
		return x.DistroData3
	}
	return ""
}

func (x *Message) GetNombreLibro() string {
	if x != nil {
		return x.NombreLibro
	}
	return ""
}

func (x *Message) GetCantidadChunks() uint64 {
	if x != nil {
		return x.CantidadChunks
	}
	return 0
}

func (x *Message) GetAprobado() string {
	if x != nil {
		return x.Aprobado
	}
	return ""
}

type Pedir struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Pedido string `protobuf:"bytes,1,opt,name=Pedido,proto3" json:"Pedido,omitempty"`
}

func (x *Pedir) Reset() {
	*x = Pedir{}
	if protoimpl.UnsafeEnabled {
		mi := &file_propuestaCent_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Pedir) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Pedir) ProtoMessage() {}

func (x *Pedir) ProtoReflect() protoreflect.Message {
	mi := &file_propuestaCent_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Pedir.ProtoReflect.Descriptor instead.
func (*Pedir) Descriptor() ([]byte, []int) {
	return file_propuestaCent_proto_rawDescGZIP(), []int{1}
}

func (x *Pedir) GetPedido() string {
	if x != nil {
		return x.Pedido
	}
	return ""
}

type Libro struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	NombreL string `protobuf:"bytes,1,opt,name=NombreL,proto3" json:"NombreL,omitempty"`
	Puerto  string `protobuf:"bytes,2,opt,name=Puerto,proto3" json:"Puerto,omitempty"`
	Partes  string `protobuf:"bytes,3,opt,name=partes,proto3" json:"partes,omitempty"`
}

func (x *Libro) Reset() {
	*x = Libro{}
	if protoimpl.UnsafeEnabled {
		mi := &file_propuestaCent_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Libro) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Libro) ProtoMessage() {}

func (x *Libro) ProtoReflect() protoreflect.Message {
	mi := &file_propuestaCent_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Libro.ProtoReflect.Descriptor instead.
func (*Libro) Descriptor() ([]byte, []int) {
	return file_propuestaCent_proto_rawDescGZIP(), []int{2}
}

func (x *Libro) GetNombreL() string {
	if x != nil {
		return x.NombreL
	}
	return ""
}

func (x *Libro) GetPuerto() string {
	if x != nil {
		return x.Puerto
	}
	return ""
}

func (x *Libro) GetPartes() string {
	if x != nil {
		return x.Partes
	}
	return ""
}

var File_propuestaCent_proto protoreflect.FileDescriptor

var file_propuestaCent_proto_rawDesc = []byte{
	0x0a, 0x13, 0x70, 0x72, 0x6f, 0x70, 0x75, 0x65, 0x73, 0x74, 0x61, 0x43, 0x65, 0x6e, 0x74, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0d, 0x70, 0x72, 0x6f, 0x70, 0x75, 0x65, 0x73, 0x74, 0x61,
	0x43, 0x65, 0x6e, 0x74, 0x22, 0xd5, 0x01, 0x0a, 0x07, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65,
	0x12, 0x20, 0x0a, 0x0b, 0x44, 0x69, 0x73, 0x74, 0x72, 0x6f, 0x44, 0x61, 0x74, 0x61, 0x31, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x44, 0x69, 0x73, 0x74, 0x72, 0x6f, 0x44, 0x61, 0x74,
	0x61, 0x31, 0x12, 0x20, 0x0a, 0x0b, 0x44, 0x69, 0x73, 0x74, 0x72, 0x6f, 0x44, 0x61, 0x74, 0x61,
	0x32, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x44, 0x69, 0x73, 0x74, 0x72, 0x6f, 0x44,
	0x61, 0x74, 0x61, 0x32, 0x12, 0x20, 0x0a, 0x0b, 0x44, 0x69, 0x73, 0x74, 0x72, 0x6f, 0x44, 0x61,
	0x74, 0x61, 0x33, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x44, 0x69, 0x73, 0x74, 0x72,
	0x6f, 0x44, 0x61, 0x74, 0x61, 0x33, 0x12, 0x20, 0x0a, 0x0b, 0x4e, 0x6f, 0x6d, 0x62, 0x72, 0x65,
	0x4c, 0x69, 0x62, 0x72, 0x6f, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x4e, 0x6f, 0x6d,
	0x62, 0x72, 0x65, 0x4c, 0x69, 0x62, 0x72, 0x6f, 0x12, 0x26, 0x0a, 0x0e, 0x43, 0x61, 0x6e, 0x74,
	0x69, 0x64, 0x61, 0x64, 0x43, 0x68, 0x75, 0x6e, 0x6b, 0x73, 0x18, 0x05, 0x20, 0x01, 0x28, 0x04,
	0x52, 0x0e, 0x43, 0x61, 0x6e, 0x74, 0x69, 0x64, 0x61, 0x64, 0x43, 0x68, 0x75, 0x6e, 0x6b, 0x73,
	0x12, 0x1a, 0x0a, 0x08, 0x41, 0x70, 0x72, 0x6f, 0x62, 0x61, 0x64, 0x6f, 0x18, 0x06, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x08, 0x41, 0x70, 0x72, 0x6f, 0x62, 0x61, 0x64, 0x6f, 0x22, 0x1f, 0x0a, 0x05,
	0x50, 0x65, 0x64, 0x69, 0x72, 0x12, 0x16, 0x0a, 0x06, 0x50, 0x65, 0x64, 0x69, 0x64, 0x6f, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x50, 0x65, 0x64, 0x69, 0x64, 0x6f, 0x22, 0x51, 0x0a,
	0x05, 0x4c, 0x69, 0x62, 0x72, 0x6f, 0x12, 0x18, 0x0a, 0x07, 0x4e, 0x6f, 0x6d, 0x62, 0x72, 0x65,
	0x4c, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x4e, 0x6f, 0x6d, 0x62, 0x72, 0x65, 0x4c,
	0x12, 0x16, 0x0a, 0x06, 0x50, 0x75, 0x65, 0x72, 0x74, 0x6f, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x06, 0x50, 0x75, 0x65, 0x72, 0x74, 0x6f, 0x12, 0x16, 0x0a, 0x06, 0x70, 0x61, 0x72, 0x74,
	0x65, 0x73, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x70, 0x61, 0x72, 0x74, 0x65, 0x73,
	0x32, 0xd4, 0x01, 0x0a, 0x0f, 0x52, 0x65, 0x67, 0x69, 0x73, 0x74, 0x72, 0x6f, 0x53, 0x65, 0x72,
	0x76, 0x69, 0x63, 0x65, 0x12, 0x40, 0x0a, 0x0c, 0x45, 0x6e, 0x76, 0x69, 0x61, 0x72, 0x44, 0x69,
	0x73, 0x74, 0x72, 0x6f, 0x12, 0x16, 0x2e, 0x70, 0x72, 0x6f, 0x70, 0x75, 0x65, 0x73, 0x74, 0x61,
	0x43, 0x65, 0x6e, 0x74, 0x2e, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x1a, 0x16, 0x2e, 0x70,
	0x72, 0x6f, 0x70, 0x75, 0x65, 0x73, 0x74, 0x61, 0x43, 0x65, 0x6e, 0x74, 0x2e, 0x4d, 0x65, 0x73,
	0x73, 0x61, 0x67, 0x65, 0x22, 0x00, 0x12, 0x42, 0x0a, 0x0e, 0x45, 0x73, 0x63, 0x72, 0x69, 0x62,
	0x69, 0x72, 0x44, 0x69, 0x73, 0x74, 0x72, 0x6f, 0x12, 0x16, 0x2e, 0x70, 0x72, 0x6f, 0x70, 0x75,
	0x65, 0x73, 0x74, 0x61, 0x43, 0x65, 0x6e, 0x74, 0x2e, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65,
	0x1a, 0x16, 0x2e, 0x70, 0x72, 0x6f, 0x70, 0x75, 0x65, 0x73, 0x74, 0x61, 0x43, 0x65, 0x6e, 0x74,
	0x2e, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x22, 0x00, 0x12, 0x3b, 0x0a, 0x0b, 0x50, 0x65,
	0x64, 0x69, 0x72, 0x4c, 0x69, 0x62, 0x72, 0x6f, 0x73, 0x12, 0x14, 0x2e, 0x70, 0x72, 0x6f, 0x70,
	0x75, 0x65, 0x73, 0x74, 0x61, 0x43, 0x65, 0x6e, 0x74, 0x2e, 0x50, 0x65, 0x64, 0x69, 0x72, 0x1a,
	0x14, 0x2e, 0x70, 0x72, 0x6f, 0x70, 0x75, 0x65, 0x73, 0x74, 0x61, 0x43, 0x65, 0x6e, 0x74, 0x2e,
	0x50, 0x65, 0x64, 0x69, 0x72, 0x22, 0x00, 0x42, 0x11, 0x5a, 0x0f, 0x2e, 0x3b, 0x70, 0x72, 0x6f,
	0x70, 0x75, 0x65, 0x73, 0x74, 0x61, 0x43, 0x65, 0x6e, 0x74, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x33,
}

var (
	file_propuestaCent_proto_rawDescOnce sync.Once
	file_propuestaCent_proto_rawDescData = file_propuestaCent_proto_rawDesc
)

func file_propuestaCent_proto_rawDescGZIP() []byte {
	file_propuestaCent_proto_rawDescOnce.Do(func() {
		file_propuestaCent_proto_rawDescData = protoimpl.X.CompressGZIP(file_propuestaCent_proto_rawDescData)
	})
	return file_propuestaCent_proto_rawDescData
}

var file_propuestaCent_proto_msgTypes = make([]protoimpl.MessageInfo, 3)
var file_propuestaCent_proto_goTypes = []interface{}{
	(*Message)(nil), // 0: propuestaCent.Message
	(*Pedir)(nil),   // 1: propuestaCent.Pedir
	(*Libro)(nil),   // 2: propuestaCent.Libro
}
var file_propuestaCent_proto_depIdxs = []int32{
	0, // 0: propuestaCent.RegistroService.EnviarDistro:input_type -> propuestaCent.Message
	0, // 1: propuestaCent.RegistroService.EscribirDistro:input_type -> propuestaCent.Message
	1, // 2: propuestaCent.RegistroService.PedirLibros:input_type -> propuestaCent.Pedir
	0, // 3: propuestaCent.RegistroService.EnviarDistro:output_type -> propuestaCent.Message
	0, // 4: propuestaCent.RegistroService.EscribirDistro:output_type -> propuestaCent.Message
	1, // 5: propuestaCent.RegistroService.PedirLibros:output_type -> propuestaCent.Pedir
	3, // [3:6] is the sub-list for method output_type
	0, // [0:3] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_propuestaCent_proto_init() }
func file_propuestaCent_proto_init() {
	if File_propuestaCent_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_propuestaCent_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Message); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_propuestaCent_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Pedir); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_propuestaCent_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Libro); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_propuestaCent_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   3,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_propuestaCent_proto_goTypes,
		DependencyIndexes: file_propuestaCent_proto_depIdxs,
		MessageInfos:      file_propuestaCent_proto_msgTypes,
	}.Build()
	File_propuestaCent_proto = out.File
	file_propuestaCent_proto_rawDesc = nil
	file_propuestaCent_proto_goTypes = nil
	file_propuestaCent_proto_depIdxs = nil
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// RegistroServiceClient is the client API for RegistroService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type RegistroServiceClient interface {
	EnviarDistro(ctx context.Context, in *Message, opts ...grpc.CallOption) (*Message, error)
	EscribirDistro(ctx context.Context, in *Message, opts ...grpc.CallOption) (*Message, error)
	PedirLibros(ctx context.Context, in *Pedir, opts ...grpc.CallOption) (*Pedir, error)
}

type registroServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewRegistroServiceClient(cc grpc.ClientConnInterface) RegistroServiceClient {
	return &registroServiceClient{cc}
}

func (c *registroServiceClient) EnviarDistro(ctx context.Context, in *Message, opts ...grpc.CallOption) (*Message, error) {
	out := new(Message)
	err := c.cc.Invoke(ctx, "/propuestaCent.RegistroService/EnviarDistro", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *registroServiceClient) EscribirDistro(ctx context.Context, in *Message, opts ...grpc.CallOption) (*Message, error) {
	out := new(Message)
	err := c.cc.Invoke(ctx, "/propuestaCent.RegistroService/EscribirDistro", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *registroServiceClient) PedirLibros(ctx context.Context, in *Pedir, opts ...grpc.CallOption) (*Pedir, error) {
	out := new(Pedir)
	err := c.cc.Invoke(ctx, "/propuestaCent.RegistroService/PedirLibros", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// RegistroServiceServer is the server API for RegistroService service.
type RegistroServiceServer interface {
	EnviarDistro(context.Context, *Message) (*Message, error)
	EscribirDistro(context.Context, *Message) (*Message, error)
	PedirLibros(context.Context, *Pedir) (*Pedir, error)
}

// UnimplementedRegistroServiceServer can be embedded to have forward compatible implementations.
type UnimplementedRegistroServiceServer struct {
}

func (*UnimplementedRegistroServiceServer) EnviarDistro(context.Context, *Message) (*Message, error) {
	return nil, status.Errorf(codes.Unimplemented, "method EnviarDistro not implemented")
}
func (*UnimplementedRegistroServiceServer) EscribirDistro(context.Context, *Message) (*Message, error) {
	return nil, status.Errorf(codes.Unimplemented, "method EscribirDistro not implemented")
}
func (*UnimplementedRegistroServiceServer) PedirLibros(context.Context, *Pedir) (*Pedir, error) {
	return nil, status.Errorf(codes.Unimplemented, "method PedirLibros not implemented")
}

func RegisterRegistroServiceServer(s *grpc.Server, srv RegistroServiceServer) {
	s.RegisterService(&_RegistroService_serviceDesc, srv)
}

func _RegistroService_EnviarDistro_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Message)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RegistroServiceServer).EnviarDistro(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/propuestaCent.RegistroService/EnviarDistro",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RegistroServiceServer).EnviarDistro(ctx, req.(*Message))
	}
	return interceptor(ctx, in, info, handler)
}

func _RegistroService_EscribirDistro_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Message)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RegistroServiceServer).EscribirDistro(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/propuestaCent.RegistroService/EscribirDistro",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RegistroServiceServer).EscribirDistro(ctx, req.(*Message))
	}
	return interceptor(ctx, in, info, handler)
}

func _RegistroService_PedirLibros_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Pedir)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RegistroServiceServer).PedirLibros(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/propuestaCent.RegistroService/PedirLibros",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RegistroServiceServer).PedirLibros(ctx, req.(*Pedir))
	}
	return interceptor(ctx, in, info, handler)
}

var _RegistroService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "propuestaCent.RegistroService",
	HandlerType: (*RegistroServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "EnviarDistro",
			Handler:    _RegistroService_EnviarDistro_Handler,
		},
		{
			MethodName: "EscribirDistro",
			Handler:    _RegistroService_EscribirDistro_Handler,
		},
		{
			MethodName: "PedirLibros",
			Handler:    _RegistroService_PedirLibros_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "propuestaCent.proto",
}
